# Uses of Class
org.eclipse.jdt.ui.jarpackager.JarPackageData

Packages that use JarPackageData
Package
Description
org.eclipse.jdt.ui.jarpackager
Provides classes and interfaces to generate a JAR file.

## Uses of JarPackageData in org.eclipse.jdt.ui.jarpackager

Methods in org.eclipse.jdt.ui.jarpackager with parameters of type JarPackageData
Modifier and Type
Method
Description
`Manifest`
IManifestProvider.`create(JarPackageData jarPackage)`
Creates a manifest as defined by the `JarPackage`.
`IJarExportRunnable`
JarPackageData.`createJarExportRunnable(JarPackageData[] jarPackagesData, Shell parent)`
Creates and returns a JarExportRunnable for a list of JAR package data objects.
`void`
IJarBuilder.`open(JarPackageData jarPackage, Shell shell, MultiStatus status)`
Called when building of the JAR starts
`void`
IJarDescriptionReader.`read(JarPackageData jarPackageData)`
Reads Jar Package description and fills data into the JAR Package data object.
`void`
IJarDescriptionWriter.`write(JarPackageData jarPackage)`
Writes the JAR package data to the description file to to the underlying stream.
Constructors in org.eclipse.jdt.ui.jarpackager with parameters of type JarPackageData
Modifier
Constructor
Description
``
`JarWriter(JarPackageData jarPackage, Shell parent)`
Deprecated.
Creates an instance which is used to create a JAR based on the given JarPackage.
``
`JarWriter2(JarPackageData jarPackage, Shell parent)`
Deprecated.
Creates an instance which is used to create a JAR based on the given JarPackage.
``
`JarWriter3(JarPackageData jarPackage, Shell parent)`
Creates an instance which is used to create a JAR based on the given JarPackage.